Npm安装错误,请求http://registry.npmjs.org/concurrently失败的傻fetchpackagemetadata错误,原因:socket挂断

我得到以下错误:

“请求http://registry.npmjs.org/concurrently失败的傻fetchpackagemetadata错误,原因:socket挂断”

我支持公司代理 . 防火墙已关闭

这是我的设置:命令:npm config get proxy = result:https://myproxy:8080 command:npm config get registry = result:http://registry.npmjs.org command:npm config get key = result:true命令:npm cache clean

还设置代理使用:npm config set proxy http://myproxy:8080

我收到了轰鸣声错误:7个傻傻的fetchPackageMetaData错误,对于typescript @〜2.1.0请求http://registry.npmjs.org/typescript失败,原因:socket挂断

对于tslint@^3.15.1请求http://registry.npmjs.org/tslint失败,18个傻fetchPackageMetaData错误,原因:socket挂断

62详细节点v8.11.0 63详细npm v5.6.0 64错误代码ECONNRESET 65错误错误ECONNRESET 66错误网络请求http://registry.npmjs.org/@angular%2fcommon失败,原因:socket hang up 67 error network这是与网络连接有关的问题 . 67错误网络在大多数情况下,您位于代理服务器后面或网络设置错误 . 67错误网络67错误网络如果您在代理服务器后面,请确保正确设置67错误网络'proxy' conhttps:// myproxy:8080fig . 见:'npm help config'

如果我设置代理http://myproxy:8080 "http"没有"s"它显示在erro npm ERR下面!代码E407 npm ERR! 407需要代理验证:@ angular / common @~4.3.4我卡在这个错误中,无法找到解决方案,我做了谷歌搜索2-3天尝试了很多设置 .

回答(1)

3 years ago

npm今天下来了好几个小时 . 这就是原因 .

检查 - https://status.npmjs.org